testweb cu Nam/testWEb/testWEb/Models/GioiThieu.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace testWEb.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class GioiThieu
    {
        public long ID { get; set; }
        public string NoiDung { get; set; }
        public string TieuDe { get; set; }
        public string HinhAnh { get; set; }
    }
}

testweb cu Nam/testWEb/testWEb/Controllers/TrangChuController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using testWEb.Models;

namespace testWEb.Controllers
{
    public class TrangChuController : Controller
    {
        QLBHEntities db = new QLBHEntities();

        [HandleError]
        public ActionResult Index()
        {
            ViewData["uname"] = User.Identity.Name;
            var model = db.PRODUCTs;
           
            return PartialView("Index", model);
        }

        

        public ActionResult LienHe()
        {
            return View();
        }
        public ActionResult GioiThieu()
        {
            var model = db.GioiThieux;

            return PartialView("GioiThieu", model);
        }
        public ActionResult ViewGioiThieu()
        {
            List<GioiThieu> post = db.GioiThieux.ToList();
            return PartialView("ViewGioiThieu", post);
        }

    }
}

testweb cu Nam/testWEb/testWEb/Views/TrangChu/GioiThieu.cshtml
@{
    ViewBag.Title = "GioiThieu";
    Layout = "~/Views/Layout/LayoutNguoiDung.cshtml";
}
@model IEnumerable<testWEb.Models.GioiThieu>
<div class="banner">
    <img src="~/Content/App_Themes/images/img-banner/banner-gioithieu.jpg" class="img-responsive" alt="" />
</div>



<div class="main-page">

    <div class="container">
        @foreach (var item in Model)
        {
            <div class="row post post-gt">

                <h1>@item.TieuDe</h1>

                <div class="post-content">

                    <div class="thumbnail">

                        <img src="@Url.Content(item.HinhAnh)" class="img-responsive" alt="" />

                    </div>
                    <p>
                        @Html.Raw(item.NoiDung)
                    </p>

                </div>


            </div>
        }
    </div><!-- /end container -->

</div><!-- / main-page -->

testweb cu Nam/testWEb/testWEb/Views/TrangChu/Index.cshtml
@{
    Layout = "~/Views/Layout/LayoutNguoiDung.cshtml";
    ViewBag.Title = "Index";
}

@model IEnumerable<testWEb.Models.PRODUCT>
<div id="slideshow" class="container-slider">
    <div id="slider">
        <ul>
            </li>
            <!-- end Slide 1 -->
            <!-- Slide 1 -->
            <li data-transition="slotzoom-horizontal" data-slotamount="7">
                <!-- Required Background Image  -->
                <img src="~/Content/App_Themes/images/slideshow/giamgiaslider.jpg" alt="" />
                <div class="tp-caption  skewfromright rs-parallaxlevel-0"
                     data-x="0"
                     data-y="130"
                     data-customout="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0.75;scaleY:0.75;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                     data-speed="700"
                     data-start="1400"
                     data-easing="Power3.easeInOut"
                     data-elementdelay="0.1"
                     data-endelementdelay="0.1"
                     style="z-index: 6;">
                </div>

                <div class="tp-caption lft customout rs-parallaxlevel-0"
                     data-x="667"
                     data-y="150"
                     data-customout="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0.75;scaleY:0.75;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                     data-speed="700"
                     data-start="1400"
                     data-easing="Power3.easeInOut"
                     data-elementdelay="0.1"
                     data-endelementdelay="0.1"
                     style="z-index: 6;">
                    @*<h3>
                            Ghế Sofa bọc vải nỉ
                        </h3>
                        <p>Thiết kế trang nhã, màu sắc tưới sang. Với lớp da bọc cao cấp chất liệu nỉ,<br> cùng với gỗ nguyên khối suất khẩu từ Hàn quốc. Giúp phòng khách của bạn thêm sang trọng vs đẹp măt...  </p>				<a href="#" class="button-slide">Xem thêm</a>
                        <a href="#" class="button-slide">Mua ngay</a>*@
                </div>



            </li>
            <!-- end Slide 1 -->
            <!-- Slide 1 -->
            <li data-transition="slotzoom-horizontal" data-slotamount="7">

                <!-- Required Background Image  -->


                <img src="~/Content/App_Themes/images/slideshow/sb_1523092912_1000.jpg" />
                <div class="tp-caption  skewfromright rs-parallaxlevel-0"
                     data-x="0"
                     data-y="130"
                     data-customout="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0.75;scaleY:0.75;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                     data-speed="700"
                     data-start="1400"
                     data-easing="Power3.easeInOut"
                     data-elementdelay="0.1"
                     data-endelementdelay="0.1"
                     style="z-index: 6;">



                </div>


                <div class="tp-caption lft customout rs-parallaxlevel-0"
                     data-x="667"
                     data-y="150"
                     data-customout="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0.75;scaleY:0.75;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                     data-speed="700"
                     data-start="1400"
                     data-easing="Power3.easeInOut"
                     data-elementdelay="0.1"
                     data-endelementdelay="0.1"
                     style="z-index: 6;">

                    @*<h3>
                            Ghế Sofa bọc vải nỉ
                        </h3>
                        <p>Thiết kế trang nhã, màu sắc tưới sang. Với lớp da bọc cao cấp chất liệu nỉ,<br> cùng với gỗ nguyên khối suất khẩu từ Hàn quốc. Giúp phòng khách của bạn thêm sang trọng vs đẹp măt...  </p>				<a href="#" class="button-slide">Xem thêm</a>
                        <a href="#" class="button-slide">Mua ngay</a>*@
                </div>

            <li data-transition="slotzoom-horizontal" data-slotamount="7">

                <!-- Required Background Image  -->



                <img src="~/Content/App_Themes/images/slideshow/Slider1.jpg" alt="" />
                <div class="tp-caption  skewfromright rs-parallaxlevel-0"
                     data-x="0"
                     data-y="130"
                     data-customout="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0.75;scaleY:0.75;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                     data-speed="700"
                     data-start="1400"
                     data-easing="Power3.easeInOut"
                     data-elementdelay="0.1"
                     data-endelementdelay="0.1"
                     style="z-index: 6;">



                </div>


                <div class="tp-caption lft customout rs-parallaxlevel-0"
                     data-x="667"
                     data-y="150"
                     data-customout="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0.75;scaleY:0.75;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                     data-speed="700"
                     data-start="1400"
                     data-easing="Power3.easeInOut"
                     data-elementdelay="0.1"
                     data-endelementdelay="0.1"
                     style="z-index: 6;">

                    @*<h3>
                            Ghế Sofa bọc vải nỉ
                        </h3>
                        <p>Thiết kế trang nhã, màu sắc tưới sang. Với lớp da bọc cao cấp chất liệu nỉ,<br> cùng với gỗ nguyên khối suất khẩu từ Hàn quốc. Giúp phòng khách của bạn thêm sang trọng vs đẹp măt...  </p>				<a href="#" class="button-slide">Xem thêm</a>
                        <a href="#" class="button-slide">Mua ngay</a>*@
                </div>



            </li>
            <!-- end Slide 1 -->
            <li data-transition="slotzoom-horizontal" data-slotamount="7">

                <!-- Required Background Image  -->



                <img src="~/Content/App_Themes/images/slideshow/sb_1522385899_856.jpg" />
                <div class="tp-caption  skewfromright rs-parallaxlevel-0"
                     data-x="0"
                     data-y="130"
                     data-customout="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0.75;scaleY:0.75;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                     data-speed="700"
                     data-start="1400"
                     data-easing="Power3.easeInOut"
                     data-elementdelay="0.1"
                     data-endelementdelay="0.1"
                     style="z-index: 6;">



                </div>


                <div class="tp-caption lft customout rs-parallaxlevel-0"
                     data-x="667"
                     data-y="150"
                     data-customout="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0.75;scaleY:0.75;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                     data-speed="700"
                     data-start="1400"
                     data-easing="Power3.easeInOut"
                     data-elementdelay="0.1"
                     data-endelementdelay="0.1"
                     style="z-index: 6;">

                    @*<h3>
                            Ghế Sofa bọc vải nỉ
                        </h3>
                        <p>Thiết kế trang nhã, màu sắc tưới sang. Với lớp da bọc cao cấp chất liệu nỉ,<br> cùng với gỗ nguyên khối suất khẩu từ Hàn quốc. Giúp phòng khách của bạn thêm sang trọng vs đẹp măt...  </p>				<a href="#" class="button-slide">Xem thêm</a>
                        <a href="#" class="button-slide">Mua ngay</a>*@
                </div>
        </ul>

    </div><!-- end slider -->

</div><!--end Slideshow-->

@Html.Action("ViewPost", "Post")



<div class="main-page main-page-home">

    <div class="container">

        @Html.Action("DanhMucSanPham", "Product")
        <div class="right-main">

            <div class="row row-doitackh">



                <div class="wrap-cat-product">
                    <div class="head-wrap-category">
                        <div class="h3">
                            <span>HÀNG MỚI</span>

                            <div class="wrap-control-cat wrap-control-cat-doitac">
                                <a href="#" class="cat-prev"><i class="fa  fa-angle-left"></i></a>
                                <a href="#" class="cat-next"><i class="fa  fa-angle-right"></i></a>
                            </div>
                        </div>

                    </div>

                    <div class="content">

                        <ul class="list-doitac">
                            @Html.Action("SanPham", "Product")

                        </ul>

                    </div>


                </div><!-- /wrap-cat-product -->




            </div>


            <div class="wrap-cat-product">
                <div class="head-wrap-category">
                    <div class="h3">
                        <span>HÀNG MỚI</span>

                    </div>
                </div>
                <div class="content">

                    <ul class="list-product isotope">
                        @Html.Action("SanPham", "Product")
                    </ul>

                </div>


            </div>
        </div><!-- / main-page -->
    </div>
</div>



@Html.Action("ViewGioiThieu", "TrangChu")



<div class="row row-duannoibat row-doitackh">

    <div class="container">

        <div class="wrap-cat-product wrap-cat-product2">

            <div class="head-wrap-category">

                <div class="h3">
                    <span>Dự án nổi bật</span>
                </div>

            </div>

            <div class="content">
                <ul class="list-duannoibat isotope list-doitac">
                    @foreach (var item in Model)
                    {
                        <li>
                            <a class="thumbnail" href="@Url.Action("ChiTietSP", "Product", new { id = item.ProductID }, null)">
                                <img src="@Url.Content(item.Thumbnail)" class="img-responsive" alt="" />
                            </a>
                            <div class="list-option f14">
                                <a href="@Url.Action("ChiTietSP", "Product", new { id = item.ProductID }, null)">
                                    <span>@item.Short_Description</span>
                                </a>
                            </div>
                        </li>

                    }

                </ul>
            </div>


        </div>

    </div>

</div>

testweb cu Nam/testWEb/testWEb/Views/TrangChu/ViewGioiThieu.cshtml
@model IEnumerable<testWEb.Models.GioiThieu>
<div class="row row-gt">

    <div class="container">
        @foreach (var item in Model)
        {
            <a class="thumbnail" href="@Url.Action("GioiThieu", "TrangChu")">
                <img src="@Url.Content(item.HinhAnh)" class="img-responsive" alt="" />
            </a>
            <h2><a href="@Url.Action("GioiThieu", "TrangChu")">@item.TieuDe</a></h2>
            <p class="excerpt">
                @Html.Raw(item.NoiDung)
            </p>
            <a href="@Url.Action("GioiThieu", "TrangChu")" class="readmore f-14">xem thêm</a>
        }
    </div>

</div>